[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TList.Exchange

Exchanges two pointers in the list.

## Declaration

Source position: classesh.inc line 331

`public procedure TList.Exchange(`
`Index1: Integer;`
`Index2: Integer`
`);`

## Description

Exchange exchanges the pointers at positions Index1 and Index2. Both pointers must be withing the current range of the list, or an EListError exception will be raised.